.section-image-with-text {

	width: 100%;

	.section-image-with-text__flex {

		display: flex;
		justify-content: space-between;
		align-items: center;

		@media screen and (max-width: 990px) {
			flex-wrap: wrap;
		}

		.section-image-with-text__media {

			width: 50%;

			@media screen and (max-width: 990px) {
				width: 100%;
				order: -1;
				margin-bottom: 16px;
			}

			.section-image-with-text__media-img {

				width: 100%;
				aspect-ratio: 1/1;
				position: relative;

				img {
					width: 100%;
					height: 100%;
					object-fit: cover;
				}

				.frame-svg {

					position: absolute;
					top: 0;
					left: 0;
					width: 100%;
					height: 100%;
					object-fit: cover;

				}

			}

			&.image-ratio-portrait {

				.section-image-with-text__media-img {
					aspect-ratio: 1/1.2;
				}

			}

		}

		.section-image-with-text__content {

			width: 40%;

			@media screen and (max-width: 990px) {
				width: 100%;
			}

			.block-title {
				margin: 0 0 15px 0;
			}

			.block-richtext {
				margin: 0 0 15px 0;
				line-height: 130%;;
			}

			.btn-flex {
				margin: 30px 0 0 0;
				@media screen and (max-width: 768px) {
					.btn {
						width: 100%;
						text-align: center;
						justify-content: center;
					}
				}
			}

		}

		&.image-right {

			.section-image-with-text__media {
				order: 2;
				@media screen and (max-width: 990px) {
					order: -1;
				}
			}

		}

	}

}